org.eclipse.viatra.transformation.evm.api

## Class Agenda

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.Agenda

-     public class Agenda
      extends java.lang.Object

  Sole purpose is the management all and ordering of enabled activations!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Agenda()`
    `Agenda(ConflictResolver conflictResolver)`
    `Agenda(ConflictResolver conflictResolver, IActivationNotificationListener activationListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IActivationNotificationListener` | `getActivationListener()`
    `java.util.Map<ActivationState,java.util.Set<Activation<?>>>` | `getActivations()`
    `java.util.Collection<Activation<?>>` | `getActivations(ActivationState state)` Returns the activations that are in the given state
    `java.util.Collection<Activation<?>>` | `getAllActivations()`
    `ChangeableConflictSet` | `getConflictSet()`
    `protected ConflictSetUpdater` | `getConflictSetUpdater()`
    `protected org.apache.log4j.Logger` | `getLogger()`
    `void` | `setActivationListener(IActivationNotificationListener activationListener)`
    `void` | `setConflictResolver(ConflictResolver resolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Agenda

          public Agenda()

    - #### Agenda

          public Agenda(ConflictResolver conflictResolver)

    - #### Agenda

          public Agenda(ConflictResolver conflictResolver,
                        IActivationNotificationListener activationListener)

  - ### Method Detail

    - #### getActivations

          public java.util.Map<ActivationState,java.util.Set<Activation<?>>> getActivations()

      Since:
        2.0

    - #### getActivations

          public java.util.Collection<Activation<?>> getActivations(ActivationState state)

      Returns the activations that are in the given state
      Parameters:
        `state` -
      Returns:
        the activations in the given state

    - #### getAllActivations

          public java.util.Collection<Activation<?>> getAllActivations()

    - #### getActivationListener

          public IActivationNotificationListener getActivationListener()

    - #### setConflictResolver

          public void setConflictResolver(ConflictResolver resolver)

    - #### setActivationListener

          public void setActivationListener(IActivationNotificationListener activationListener)

    - #### getConflictSet

          public ChangeableConflictSet getConflictSet()

    - #### getLogger

          protected org.apache.log4j.Logger getLogger()

    - #### getConflictSetUpdater

          protected ConflictSetUpdater getConflictSetUpdater()